package org.greenstone.gatherer.gui.tree;
/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */
import java.awt.Color;
import java.awt.Component;
import javax.swing.JTree;
import javax.swing.tree.DefaultTreeCellRenderer;

public class DragTreeCellRenderer 
	 extends DefaultTreeCellRenderer {
	 
	 private boolean in_focus = false;
	 private Color selection_background;
	 private Color selection_foreground;
	 
	 public DragTreeCellRenderer() {
		  super();
		  selection_background = getBackgroundSelectionColor();
		  selection_foreground = getTextSelectionColor();
	 }

	 public void gainFocus() {
		  setBackgroundSelectionColor(selection_background);
		  setTextSelectionColor(selection_foreground);
	 }

	 public void loseFocus() {
		  setBackgroundSelectionColor(Color.lightGray);
		  setTextSelectionColor(Color.black);
	 }
}

